// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "dengbiao",
            "url": "http://www.swagger.io/support",
            "email": "1239118001@qq.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/comm/getOssUrl": {
            "get": {
                "description": "上传许可链接(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象存储"
                ],
                "summary": "通用请求-对象存储-上传许可链接(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "许可链接",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/comm/oss/getOssUrl": {
            "get": {
                "description": "对象存储设置(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象存储"
                ],
                "summary": "设置中心-对象存储-对象存储设置(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "上传需要修改的信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SetBasicReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/demo": {
            "post": {
                "description": "Demo样例测试",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Demo"
                ],
                "summary": "Demo测试",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {}
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/availableEnergy/list": {
            "post": {
                "description": "查询所有币种(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-查询所有币种(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/md.VirtualCoin"
                            }
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/getBasic": {
            "get": {
                "description": "基础设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-基础设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetEggEnergyBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/globalData/coreDataList": {
            "get": {
                "description": "数据概览(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-数据概览(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetEggCoreDataListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/globalData/fundDataAdd": {
            "post": {
                "description": "价值明细数据(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-价值明细数据(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "数据种类、金额、时长(最长24h)、执行次数必填,备注选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddFundDataReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "插入数据 id",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/globalData/fundDataList": {
            "post": {
                "description": "新增数据列表(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-新增数据列表(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页信息必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetFundDataListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetFundDataListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/globalData/fundDataRecordList": {
            "post": {
                "description": "新增数据列表详情(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-新增数据列表详情(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "获取到的 system_id 以及分页信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetFundDataRecordListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetFundDataRecordListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/globalData/pointsCenterPriceCurve": {
            "get": {
                "description": "价格趋势(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-价格趋势(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "1:按天 2：按小时 3：按周",
                        "name": "kind",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetPriceCurveResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/updateBasic": {
            "post": {
                "description": "基础设置(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-基础设置(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "system_id 必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateEggEnergyBasicReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "修改数据条数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/userCoin/activePointsUserCoinFlowList": {
            "post": {
                "description": "活跃积分持有流水(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-活跃积分持有者明细-活跃积分持有流水(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "至少传入 货币类型 ID 用户 UID 页数 每页大小",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinFlowListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinFlowListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/userCoin/activePointsUserCoinList": {
            "post": {
                "description": "活跃积分持有(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-活跃积分持有者明细-活跃积分持有(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "落地页不填页大小默认20条数据",
                        "name": "req",
                        "in": "body",
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/userCoin/greenEnergyUserCoinFlowList": {
            "post": {
                "description": "绿色能量持有流水(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-绿色能量持有者明细-绿色能量持有流水(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "至少传入 货币类型 ID 用户 UID 页数 每页大小",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinFlowListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinFlowListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/userCoin/greenEnergyUserCoinList": {
            "post": {
                "description": "绿色能量(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-绿色能量持有者明细-绿色能量(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "落地页不填页大小默认20条数据",
                        "name": "req",
                        "in": "body",
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/communityDividends/communityDividendsAdd": {
            "post": {
                "description": "社区分红(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-社区分红(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分红名称、分红总量",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddCommunityDividendsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功",
                        "schema": {
                            "type": "success"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/communityDividends/communityDividendsList": {
            "post": {
                "description": "社区分红(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-社区分红(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页数、每页大小必填 起止时间、起止数量选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ListCommunityDividendsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.ListCommunityDividendsResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/communityDividends/communityDividendsWithUserAdd": {
            "post": {
                "description": "社区长列表(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-社区长列表(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "新增社区长 ID、备注",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddCommunityDividendsWithUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "插入数据 ID",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/communityDividends/communityDividendsWithUserList": {
            "post": {
                "description": "社区长列表(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-社区长列表(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页数、每页大小必填 手机号、用户ID选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ListCommunityDividendsWithUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "社区长列表",
                        "schema": {
                            "$ref": "#/definitions/md.ListCommunityDividendsWithUserResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/exchangeUserPosition": {
            "post": {
                "description": "关系分布图(位置转换)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(位置转换)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要交换的两个位置",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ExchangeUserPositionReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "type": ""
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/findSubUserRelationshipMap": {
            "get": {
                "description": "关系分布图(获取指定用户上级)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(获取指定用户上级)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "用户ID",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.FindSubUserRelationshipMapResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/findUserRelationshipMap": {
            "get": {
                "description": "关系分布图(获取指定用户下级)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(获取指定用户下级)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "用户ID",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.TreeNode"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/getBasic": {
            "get": {
                "description": "公排基础设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-公排基础设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetPublicPlatoonBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/publicPlatoonUserFreePunish/index": {
            "post": {
                "description": "免罚用户(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-免罚用户(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页数和行数必填，uid选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetFreePublishUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetFreePublishUserResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/publicPlatoonUserFreePunish/save": {
            "post": {
                "description": "免罚用户(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-免罚用户(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页数和行数必填，uid选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddFreePublishUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "插入数据 ID",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/relationshipMap": {
            "get": {
                "description": "关系分布图(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "phone",
                        "name": "phone",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "uid",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.TreeNode"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/updateBasic": {
            "put": {
                "description": "公排基础设置(修改)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-公排基础设置(修改)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "公排设置表单内容",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdatePublicPlatoonBasicReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/userDailyActivityAnalysis/index": {
            "post": {
                "description": "日活分析",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-日活分析",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "用户 ID、查询开始时间、结束时间(查询时间不超过30天)、页数、每页大小",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserDailyActivityAnalysisReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserDailyActivityAnalysisResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/login": {
            "post": {
                "description": "登入",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "applet_app_md_institutional_management_egg_energy.BasicSetting": {
            "type": "object",
            "properties": {
                "direct_push_reward": {
                    "description": "直推奖励",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.TeamRewardSettingStruct"
                        }
                    ]
                },
                "is_open": {
                    "description": "是否开启(1：开启 0：关闭)",
                    "type": "integer"
                },
                "person_egg_energy_coin_id": {
                    "description": "个人蛋蛋能量对应虚拟币 id",
                    "type": "integer"
                },
                "person_egg_points_coin_id": {
                    "description": "个人蛋蛋积分对应虚拟币 id",
                    "type": "integer"
                },
                "team_egg_energy_coin_id": {
                    "description": "团队蛋蛋能量对应虚拟币 id",
                    "type": "integer"
                },
                "team_egg_points_coin_id": {
                    "description": "团队蛋蛋积分对应虚拟币 id",
                    "type": "integer"
                }
            }
        },
        "applet_app_md_institutional_management_egg_energy.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "applet_app_md_institutional_management_public_platoon.BasicSetting": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "is_open": {
                    "description": "是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "is_self_active_get_team_revenue": {
                    "description": "会员本人没有日活，没有圈层奖励(1:开启 0:关闭)",
                    "type": "integer"
                },
                "originator_uid": {
                    "description": "创始人uid",
                    "type": "integer"
                },
                "several_rows": {
                    "description": "几排",
                    "type": "integer"
                },
                "several_times": {
                    "description": "几乘",
                    "type": "integer"
                },
                "system_punish_replace": {
                    "description": "是否位置滑落 被新用户替换 0否 1是",
                    "type": "integer"
                },
                "system_punish_replace_value": {
                    "description": "xx天未活跃，处罚滑落",
                    "type": "integer"
                }
            }
        },
        "applet_app_md_institutional_management_public_platoon.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "md.ActivePointsWalletNode": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "string",
                    "example": "账户余额"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                },
                "user_name": {
                    "type": "string",
                    "example": "用户名"
                },
                "user_phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.AddCommunityDividendsReq": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "社区分红数量",
                    "type": "string"
                },
                "name": {
                    "type": "string",
                    "example": "社区分红名称"
                }
            }
        },
        "md.AddCommunityDividendsWithUserReq": {
            "type": "object",
            "properties": {
                "memo": {
                    "type": "string",
                    "example": "备注"
                },
                "uid": {
                    "description": "新增社区长用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.AddFreePublishUserReq": {
            "type": "object",
            "properties": {
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.AddFundDataReq": {
            "type": "object",
            "properties": {
                "hours": {
                    "description": "时长(小时)",
                    "type": "integer"
                },
                "kind": {
                    "description": "种类(1:公司补贴 2:资方投资 3:市场期望)",
                    "type": "integer"
                },
                "memo": {
                    "type": "string",
                    "example": "备注"
                },
                "times": {
                    "description": "剩余执行次数",
                    "type": "integer"
                },
                "total_amount": {
                    "description": "金额",
                    "type": "string"
                }
            }
        },
        "md.DailyActivityAnalysisTopData": {
            "type": "object",
            "properties": {
                "activity_count": {
                    "description": "子节点活跃天数",
                    "type": "integer"
                },
                "team_activity_user_count": {
                    "description": "子节点活跃人数",
                    "type": "integer"
                },
                "team_user_count": {
                    "description": "团队人数",
                    "type": "integer"
                }
            }
        },
        "md.DataSetting": {
            "type": "object",
            "properties": {
                "total_angel_investor": {
                    "description": "天使投资人",
                    "type": "string",
                    "example": "天使投资人"
                },
                "total_ecological_development": {
                    "description": "生态建设",
                    "type": "string",
                    "example": "当前价格"
                },
                "total_issuance_amount": {
                    "description": "总发行量",
                    "type": "string",
                    "example": "总发行量"
                },
                "total_operate_fund": {
                    "description": "运营资金",
                    "type": "string",
                    "example": "运营资金"
                },
                "total_technology_team": {
                    "description": "技术团队",
                    "type": "string",
                    "example": "技术团队"
                },
                "total_user_for_person": {
                    "description": "TotalTeamDividends string` + "`" + `json:\"total_team_dividends\" example:\"团队分红\"` + "`" + ` // 团队分红",
                    "type": "string",
                    "example": "个人区域"
                },
                "total_user_for_team": {
                    "description": "团队区域",
                    "type": "string",
                    "example": "团队区域"
                }
            }
        },
        "md.DestructionSettingStruct": {
            "type": "object",
            "properties": {
                "community_dividends": {
                    "description": "社区分红百分比",
                    "type": "string"
                },
                "destruction_quantity": {
                    "description": "销毁百分比",
                    "type": "string"
                },
                "development_committee": {
                    "description": "发展委员会百分比",
                    "type": "string"
                },
                "marketplace_merchant": {
                    "description": "市商数量百分比",
                    "type": "string"
                },
                "public_welfare_and_charity": {
                    "description": "公益慈善百分比",
                    "type": "string"
                },
                "star_level_dividends": {
                    "description": "星级分红百分比",
                    "type": "string"
                }
            }
        },
        "md.DynamicDataFlowListReq": {
            "type": "object",
            "properties": {
                "end_at": {
                    "description": "结束时间",
                    "type": "string",
                    "example": "结束时间"
                },
                "kind": {
                    "description": "持有类型",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string",
                    "example": "开始时间"
                }
            }
        },
        "md.DynamicDataFlowListResp": {
            "type": "object",
            "properties": {
                "kind_list": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.EggEnergyAvailableEnergyFlow"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                }
            }
        },
        "md.EggEnergyAvailableEnergyFlow": {
            "type": "object",
            "properties": {
                "after_community_dividends": {
                    "type": "string"
                },
                "after_destruction_quantity_values": {
                    "type": "string"
                },
                "after_development_committee_values": {
                    "type": "string"
                },
                "after_marketplace_merchant_fund_values": {
                    "type": "string"
                },
                "after_marketplace_merchant_values": {
                    "type": "string"
                },
                "after_now_energy_total_nums": {
                    "type": "string"
                },
                "after_planet_total_value": {
                    "type": "string"
                },
                "after_price": {
                    "type": "string"
                },
                "after_public_welfare_and_charity_values": {
                    "type": "string"
                },
                "after_star_level_dividends_values": {
                    "type": "string"
                },
                "amount": {
                    "type": "string"
                },
                "before_community_dividends": {
                    "type": "string"
                },
                "before_destruction_quantity_values": {
                    "type": "string"
                },
                "before_development_committee_values": {
                    "type": "string"
                },
                "before_marketplace_merchant_fund_values": {
                    "type": "string"
                },
                "before_marketplace_merchant_values": {
                    "type": "string"
                },
                "before_now_energy_total_nums": {
                    "type": "string"
                },
                "before_planet_total_value": {
                    "type": "string"
                },
                "before_price": {
                    "type": "string"
                },
                "before_public_welfare_and_charity_values": {
                    "type": "string"
                },
                "before_star_level_dividends_values": {
                    "type": "string"
                },
                "create_time": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "kind": {
                    "type": "integer"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "md.EggEnergyCommunityDividends": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "分红数量",
                    "type": "string"
                },
                "coin_id": {
                    "description": "虚拟币 id",
                    "type": "integer"
                },
                "create_at": {
                    "description": "分红时间",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "is_over": {
                    "description": "是否分红完毕",
                    "type": "integer"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                },
                "persons_num": {
                    "description": "分红人数",
                    "type": "integer"
                },
                "update_at": {
                    "type": "string"
                }
            }
        },
        "md.EggEnergyCommunityDividendsWithUser": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "memo": {
                    "type": "string",
                    "example": "备注"
                },
                "nickname": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.ExchangeRulesStruct": {
            "type": "object",
            "properties": {
                "auto_exchange_nums_by_person": {
                    "description": "个人数量X个，自动兑换可用蛋蛋能量",
                    "type": "string"
                },
                "auto_exchange_nums_by_team": {
                    "description": "团队数量X个，自动兑换团队蛋蛋能量",
                    "type": "string"
                },
                "auto_exchange_rate_by_person": {
                    "description": "个人数量百分比，自动兑换可用蛋蛋能量",
                    "type": "string"
                },
                "auto_exchange_rate_by_team": {
                    "description": "团队数量百分比，自动兑换团队蛋蛋能量",
                    "type": "string"
                }
            }
        },
        "md.ExchangeUserPositionReq": {
            "type": "object",
            "properties": {
                "position_1": {
                    "description": "位置1，具体值取返回数据中的 system_id",
                    "type": "integer"
                },
                "position_2": {
                    "description": "位置2，具体值取返回数据中的 system_id",
                    "type": "integer"
                }
            }
        },
        "md.FindSubUserRelationshipMapResp": {
            "type": "object",
            "properties": {
                "basic_setting": {
                    "description": "公排设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_public_platoon.BasicSetting"
                        }
                    ]
                },
                "search_uid": {
                    "description": "查找的用户 ID",
                    "type": "string"
                },
                "sub_user": {
                    "description": "上级用户信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.SubUser"
                        }
                    ]
                }
            }
        },
        "md.FreePublishUserNode": {
            "type": "object",
            "properties": {
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.FundDataNode": {
            "type": "object",
            "properties": {
                "balance_amount": {
                    "description": "余额",
                    "type": "string"
                },
                "balance_times": {
                    "description": "剩余执行次数",
                    "type": "integer"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "hours": {
                    "description": "时长",
                    "type": "integer"
                },
                "kind": {
                    "description": "种类(1:公司补贴 2:资方投资 3:市场期望)",
                    "type": "integer"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "system_id": {
                    "type": "integer"
                },
                "total_amount": {
                    "description": "金额",
                    "type": "string"
                }
            }
        },
        "md.FundDataRecordNode": {
            "type": "object",
            "properties": {
                "after_planet_total_value": {
                    "description": "执行后-星球价值",
                    "type": "string"
                },
                "after_price": {
                    "description": "执行后-价格",
                    "type": "string"
                },
                "balance_amount": {
                    "description": "余额",
                    "type": "string"
                },
                "balance_times": {
                    "description": "剩余执行次数",
                    "type": "integer"
                },
                "before_planet_total_value": {
                    "description": "执行前-星球价值",
                    "type": "string"
                },
                "before_price": {
                    "description": "执行前-价格",
                    "type": "string"
                },
                "create_at": {
                    "type": "string"
                },
                "total_amount": {
                    "description": "金额",
                    "type": "string"
                }
            }
        },
        "md.GetActivePointsUserCoinFlowListReq": {
            "type": "object",
            "properties": {
                "coin_id": {
                    "description": "货币类型 ID",
                    "type": "integer"
                },
                "direction": {
                    "description": "流水方向:1收入 2支出",
                    "type": "integer"
                },
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.GetActivePointsUserCoinFlowListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UserVirtualCoinFlow"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                        }
                    ]
                },
                "select_data": {
                    "description": "流水类型",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.SelectData"
                        }
                    ]
                }
            }
        },
        "md.GetActivePointsUserCoinListReq": {
            "type": "object",
            "properties": {
                "end_coin": {
                    "type": "string",
                    "example": "最大金额"
                },
                "kind": {
                    "description": "虚拟币种类编号",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "单页大小",
                    "type": "integer"
                },
                "start_coin": {
                    "type": "string",
                    "example": "最小金额"
                },
                "uid": {
                    "description": "指定查询用户 ID",
                    "type": "integer"
                },
                "user_name": {
                    "type": "string",
                    "example": "用户名称"
                },
                "user_phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.GetActivePointsUserCoinListResp": {
            "type": "object",
            "properties": {
                "kind_list": {
                    "description": "货币类型集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.VirtualCoinListNode"
                    }
                },
                "list": {
                    "description": "余额集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.ActivePointsWalletNode"
                    }
                },
                "sum_user_amount": {
                    "description": "用户持有总数",
                    "type": "number"
                },
                "total": {
                    "description": "持有该类型用户数",
                    "type": "integer"
                }
            }
        },
        "md.GetBasicResp": {
            "type": "object",
            "properties": {
                "oss_access_key_id": {
                    "type": "string",
                    "example": "oss访问秘钥id"
                },
                "oss_access_key_secret": {
                    "type": "string",
                    "example": "oss访问秘钥"
                },
                "oss_bucket_name": {
                    "type": "string",
                    "example": "oss存储桶名称"
                },
                "oss_endpoint": {
                    "type": "string",
                    "example": "oss地域节点"
                },
                "oss_object_domain": {
                    "type": "string",
                    "example": "oss域名"
                },
                "oss_object_scheme": {
                    "type": "string",
                    "example": "oss上传方式"
                }
            }
        },
        "md.GetEggCoreDataListResp": {
            "type": "object",
            "properties": {
                "now_energy_total_nums": {
                    "description": "现行总量",
                    "type": "string",
                    "example": "现行总量"
                },
                "now_price": {
                    "description": "当前价格",
                    "type": "string",
                    "example": "当前价格"
                },
                "planet_total_value": {
                    "description": "星球价值",
                    "type": "string",
                    "example": "星球价值"
                },
                "user_hold_total_nums": {
                    "description": "用户持有总量",
                    "type": "object",
                    "additionalProperties": {
                        "type": "string"
                    }
                }
            }
        },
        "md.GetEggEnergyBasicResp": {
            "type": "object",
            "properties": {
                "basic_setting": {
                    "description": "基础设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.BasicSetting"
                        }
                    ]
                },
                "data_setting": {
                    "description": "数据设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DataSetting"
                        }
                    ]
                },
                "destruction_setting": {
                    "description": "销毁设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DestructionSettingStruct"
                        }
                    ]
                },
                "exchange_rules": {
                    "description": "兑换规则",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.ExchangeRulesStruct"
                        }
                    ]
                },
                "new_user_incentive_rules": {
                    "description": "新用户奖励规则",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.NewUserRewardRules"
                        }
                    ]
                },
                "price_setting": {
                    "description": "价格设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.PriceSettingStruct"
                        }
                    ]
                },
                "reward_system": {
                    "description": "圈层奖励",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.RewardSystemStruct"
                        }
                    ]
                },
                "system_id": {
                    "description": "该设置系统 ID",
                    "type": "integer"
                },
                "video_reward_setting": {
                    "description": "视频奖励",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.VideoRewardSetting"
                        }
                    ]
                }
            }
        },
        "md.GetFreePublishUserReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "当前页数",
                    "type": "integer"
                },
                "uid": {
                    "description": "筛选的用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.GetFreePublishUserResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "免罚用户列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.FreePublishUserNode"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_public_platoon.Paginate"
                        }
                    ]
                }
            }
        },
        "md.GetFundDataListReq": {
            "type": "object",
            "properties": {
                "end_at": {
                    "type": "string",
                    "example": "结束时间"
                },
                "kind": {
                    "description": "数据类型",
                    "type": "integer"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "start_at": {
                    "type": "string",
                    "example": "开始时间"
                }
            }
        },
        "md.GetFundDataListResp": {
            "type": "object",
            "properties": {
                "kind_list": {
                    "description": "类型列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "list": {
                    "description": "数据列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.FundDataNode"
                    }
                },
                "paginate": {
                    "description": "分页数据",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                        }
                    ]
                }
            }
        },
        "md.GetFundDataRecordListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "页面大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "system_id": {
                    "description": "数据在系统中的 ID",
                    "type": "integer"
                }
            }
        },
        "md.GetFundDataRecordListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.FundDataRecordNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                }
            }
        },
        "md.GetGreenEnergyUserCoinFlowListReq": {
            "type": "object",
            "properties": {
                "coin_id": {
                    "description": "货币类型 ID",
                    "type": "integer"
                },
                "direction": {
                    "description": "流水方向:1收入 2支出",
                    "type": "integer"
                },
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.GetGreenEnergyUserCoinFlowListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UserVirtualCoinFlow"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                        }
                    ]
                },
                "select_data": {
                    "description": "流水类型",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.SelectData"
                        }
                    ]
                }
            }
        },
        "md.GetGreenEnergyUserCoinListReq": {
            "type": "object",
            "properties": {
                "end_coin": {
                    "type": "string",
                    "example": "最大金额"
                },
                "kind": {
                    "description": "虚拟币种类编号",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "单页大小",
                    "type": "integer"
                },
                "start_coin": {
                    "type": "string",
                    "example": "最小金额"
                },
                "uid": {
                    "description": "指定查询用户 ID",
                    "type": "integer"
                },
                "user_name": {
                    "type": "string",
                    "example": "用户名称"
                },
                "user_phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.GetGreenEnergyUserCoinListResp": {
            "type": "object",
            "properties": {
                "kind_list": {
                    "description": "货币类型集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.VirtualCoinListNode"
                    }
                },
                "list": {
                    "description": "余额集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.ActivePointsWalletNode"
                    }
                },
                "sum_user_amount": {
                    "description": "用户持有总数",
                    "type": "number"
                },
                "total": {
                    "description": "持有该类型用户数",
                    "type": "integer"
                }
            }
        },
        "md.GetPriceCurveResp": {
            "type": "object",
            "properties": {
                "x_data": {
                    "type": "array",
                    "items": {}
                },
                "y_data": {
                    "type": "array",
                    "items": {}
                }
            }
        },
        "md.GetPublicPlatoonBasicResp": {
            "type": "object",
            "properties": {
                "is_open": {
                    "description": "是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "is_self_active_get_team_revenue": {
                    "description": "会员本人没有日活，没有圈层奖励(1:开启 0:关闭)",
                    "type": "integer"
                },
                "originator_uid": {
                    "description": "创始人uid",
                    "type": "integer"
                },
                "several_rows": {
                    "description": "几排",
                    "type": "integer"
                },
                "several_times": {
                    "description": "几乘",
                    "type": "integer"
                },
                "system_punish_replace": {
                    "description": "是否位置滑落 被新用户替换 0否 1是",
                    "type": "integer"
                },
                "system_punish_replace_value": {
                    "description": "xx天未活跃，处罚滑落",
                    "type": "integer"
                }
            }
        },
        "md.ListCommunityDividendsReq": {
            "type": "object",
            "properties": {
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "end_nums": {
                    "description": "分红总量上限",
                    "type": "integer"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "start_nums": {
                    "description": "分红总量下限",
                    "type": "integer"
                }
            }
        },
        "md.ListCommunityDividendsResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.EggEnergyCommunityDividends"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_institutional_management_public_platoon.Paginate"
                }
            }
        },
        "md.ListCommunityDividendsWithUserReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "type": "integer"
                },
                "page": {
                    "type": "integer"
                },
                "phone": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.ListCommunityDividendsWithUserResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.EggEnergyCommunityDividendsWithUser"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_institutional_management_public_platoon.Paginate"
                }
            }
        },
        "md.LoginReq": {
            "type": "object",
            "required": [
                "password",
                "username"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "password": {
                    "type": "string",
                    "example": "登录密码"
                },
                "username": {
                    "type": "string",
                    "example": "登录账号"
                }
            }
        },
        "md.LoginResponse": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "md.NewUserRewardRules": {
            "type": "object",
            "properties": {
                "continue_days": {
                    "description": "连续x天",
                    "type": "integer"
                },
                "invite_user_reward_value": {
                    "description": "拉新用户奖励x个活跃积分",
                    "type": "integer"
                },
                "reward_coefficient": {
                    "description": "奖励系数",
                    "type": "number"
                }
            }
        },
        "md.PriceSettingStruct": {
            "type": "object",
            "properties": {
                "marketplace_merchants_fund_exchange_marketplace_merchants_nums_value": {
                    "description": "市商资金单笔x元自动兑换",
                    "type": "string"
                },
                "marketplace_merchants_nums_exchange_marketplace_merchants_fund_value": {
                    "description": "市商数量单笔x数量自动兑换",
                    "type": "string"
                },
                "price_below_value": {
                    "description": "低于x元",
                    "type": "string"
                },
                "price_higher_than_value": {
                    "description": "高于x元",
                    "type": "string"
                }
            }
        },
        "md.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "响应码"
                },
                "data": {
                    "description": "内容"
                },
                "msg": {
                    "type": "string",
                    "example": "具体错误原因"
                }
            }
        },
        "md.RewardSystemStruct": {
            "type": "object",
            "properties": {
                "level": {
                    "description": "圈层",
                    "type": "integer"
                },
                "reward_condition": {
                    "description": "奖励条件",
                    "type": "string"
                },
                "reward_value": {
                    "description": "奖励值",
                    "type": "string"
                }
            }
        },
        "md.SelectData": {
            "type": "object",
            "properties": {
                "direction": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "md.SetBasicReq": {
            "type": "object",
            "properties": {
                "oss_access_key_id": {
                    "type": "string",
                    "example": "oss访问秘钥id"
                },
                "oss_access_key_secret": {
                    "type": "string",
                    "example": "oss访问秘钥"
                },
                "oss_bucket_name": {
                    "type": "string",
                    "example": "oss存储桶名称"
                },
                "oss_endpoint": {
                    "type": "string",
                    "example": "oss地域节点"
                },
                "oss_object_domain": {
                    "type": "string",
                    "example": "oss域名"
                },
                "oss_object_scheme": {
                    "type": "string",
                    "example": "oss上传方式"
                }
            }
        },
        "md.SonUserDailyActivityAnalysisNode": {
            "type": "object",
            "properties": {
                "activity_day_nums": {
                    "description": "活跃子节点活跃天数",
                    "type": "integer"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "uid": {
                    "description": "查询用户活跃子节点 ID",
                    "type": "integer"
                }
            }
        },
        "md.SubUser": {
            "type": "object",
            "properties": {
                "avatar_url": {
                    "type": "string",
                    "example": "头像"
                },
                "level": {
                    "description": "整个系统中的等级",
                    "type": "integer"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "pid": {
                    "type": "integer"
                },
                "position": {
                    "description": "以pid1为创始人中网的位置",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.TeamRewardSettingStruct": {
            "type": "object",
            "properties": {
                "member_self_is_open_get_team_reward": {
                    "description": "会员是否活跃得到团队奖励",
                    "type": "string"
                },
                "one_round_duration": {
                    "description": "一轮持续时间",
                    "type": "string"
                },
                "reward_decrement_value": {
                    "description": "递减百分比",
                    "type": "string"
                },
                "reward_end_value": {
                    "description": "奖励结束值",
                    "type": "string"
                }
            }
        },
        "md.TreeNode": {
            "type": "object",
            "properties": {
                "avatar_url": {
                    "type": "string",
                    "example": "头像"
                },
                "level": {
                    "type": "integer"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "pid": {
                    "type": "integer"
                },
                "position": {
                    "type": "integer"
                },
                "son": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TreeNode"
                    }
                },
                "system_id": {
                    "description": "公排网中id",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.UpdateEggEnergyBasicReq": {
            "type": "object",
            "properties": {
                "basic_setting": {
                    "description": "基础设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.BasicSetting"
                        }
                    ]
                },
                "data_setting": {
                    "description": "数据设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DataSetting"
                        }
                    ]
                },
                "destruction_setting": {
                    "description": "销毁设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DestructionSettingStruct"
                        }
                    ]
                },
                "exchange_rules": {
                    "description": "兑换规则",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.ExchangeRulesStruct"
                        }
                    ]
                },
                "new_user_incentive_rules": {
                    "description": "新用户奖励规则\t\t\t\t\t\t\t\t\t\t\t // 新用户奖励规则",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.NewUserRewardRules"
                        }
                    ]
                },
                "price_setting": {
                    "description": "价格设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.PriceSettingStruct"
                        }
                    ]
                },
                "reward_system": {
                    "description": "圈层奖励",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.RewardSystemStruct"
                        }
                    ]
                },
                "system_id": {
                    "description": "该设置系统 ID",
                    "type": "integer"
                },
                "video_reward_setting": {
                    "description": "视频奖励",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.VideoRewardSetting"
                        }
                    ]
                }
            }
        },
        "md.UpdatePublicPlatoonBasicReq": {
            "type": "object",
            "properties": {
                "is_open": {
                    "description": "是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "is_self_active_get_team_revenue": {
                    "description": "会员本人没有日活，没有圈层奖励(1:开启 0:关闭)",
                    "type": "integer"
                },
                "originator_uid": {
                    "description": "创始人uid",
                    "type": "integer"
                },
                "several_rows": {
                    "description": "几排",
                    "type": "integer"
                },
                "several_times": {
                    "description": "几乘",
                    "type": "integer"
                },
                "system_punish_replace": {
                    "description": "是否位置滑落 被新用户替换 0否 1是",
                    "type": "integer"
                },
                "system_punish_replace_value": {
                    "description": "xx天未活跃，处罚滑落",
                    "type": "integer"
                }
            }
        },
        "md.UserDailyActivityAnalysisReq": {
            "type": "object",
            "properties": {
                "end_date": {
                    "type": "string",
                    "example": "结束日期"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "start_date": {
                    "type": "string",
                    "example": "开始日期"
                },
                "uid": {
                    "description": "查询用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.UserDailyActivityAnalysisResp": {
            "type": "object",
            "properties": {
                "son_user_data": {
                    "description": "被查询用户子节点信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SonUserDailyActivityAnalysisNode"
                    }
                },
                "top_data": {
                    "description": "统计信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DailyActivityAnalysisTopData"
                        }
                    ]
                }
            }
        },
        "md.UserVirtualCoinFlow": {
            "type": "object",
            "properties": {
                "after_amount": {
                    "type": "string",
                    "example": "变更后数量"
                },
                "amount": {
                    "type": "string",
                    "example": "变更数量"
                },
                "before_amount": {
                    "type": "string",
                    "example": "变更前数量"
                },
                "coin_id": {
                    "description": "虚拟币 ID",
                    "type": "integer"
                },
                "create_at": {
                    "type": "string",
                    "example": "创建时间"
                },
                "direction": {
                    "description": "方向:1收入 2支出",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "sys_fee": {
                    "type": "string",
                    "example": "手续费"
                },
                "title": {
                    "type": "string",
                    "example": "标题"
                },
                "transfer_type": {
                    "description": "转账类型",
                    "type": "integer"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                },
                "update_at": {
                    "type": "string",
                    "example": "更新时间"
                }
            }
        },
        "md.VideoRewardSetting": {
            "type": "object",
            "properties": {
                "video_reward_is_open": {
                    "description": "视频奖励是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "video_reward_system": {
                    "description": "视频奖励机制",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.VideoRewardSystemStruct"
                        }
                    ]
                }
            }
        },
        "md.VideoRewardSystemStruct": {
            "type": "object",
            "properties": {
                "each_round_hour": {
                    "description": "每一轮X个小时",
                    "type": "string"
                },
                "interval_minutes": {
                    "description": "间隔X秒",
                    "type": "string"
                },
                "reward_total_num": {
                    "description": "一共X个奖励视屏",
                    "type": "string"
                },
                "reward_value": {
                    "description": "奖励X个活跃积分",
                    "type": "string"
                }
            }
        },
        "md.VirtualCoin": {
            "type": "object",
            "properties": {
                "create_at": {
                    "type": "string"
                },
                "exchange_ratio": {
                    "description": "兑换比例(与金额)",
                    "type": "string",
                    "example": "兑换比例(与金额)"
                },
                "id": {
                    "type": "integer"
                },
                "is_use": {
                    "description": "是否开启: 0否 1是",
                    "type": "integer"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "update_at": {
                    "type": "string"
                }
            }
        },
        "md.VirtualCoinListNode": {
            "type": "object",
            "properties": {
                "coin_id": {
                    "description": "货币类型 ID",
                    "type": "integer"
                },
                "kind": {
                    "description": "货币序号",
                    "type": "integer"
                },
                "name": {
                    "type": "string",
                    "example": "货币类型名称"
                }
            }
        }
    },
    "securityDefinitions": {
        "MasterID": {
            "type": "apiKey",
            "name": "MasterID",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "localhost:4001",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "蛋蛋星球-管理后台",
	Description:      "管理后台接口文档",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
